<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link href="../css/main.css" rel="stylesheet" type="text/css" />

<?php
include('../include/session.php');
include('../include/period_select_date.php');	

$set = $_GET['set'];
$delete = $_GET['delete'];

if ($set=='yes') {
	  $message_id = $_GET['message_id'];
		$table_name = $_SESSION['db_prefix']."_alert_message";
		$read_query = "UPDATE $table_name SET read_done = 'yes' WHERE message_id = '".$message_id."' ";
		execsql($read_query);
}

if ($set=='all') {
	  	$table_name = $_SESSION['db_prefix']."_alert_message";
		$read_query = "UPDATE $table_name SET read_done = 'yes' WHERE user_name =  '".$_SESSION['username']."' AND department = 'maintenance' ";
		execsql($read_query);
}

if ($delete=='yes') {
	  $message_id = $_GET['message_id'];
		$table_name = $_SESSION['db_prefix']."_alert_message";
		$read_query = "UPDATE $table_name SET no_view = 'yes' WHERE message_id = '".$message_id."' ";
		execsql($read_query);
}

if ($delete=='all') {
	  	$table_name = $_SESSION['db_prefix']."_alert_message";
		$read_query = "UPDATE $table_name SET no_view = 'yes' WHERE user_name =  '".$_SESSION['username']."' AND department = 'maintenance' ";
		execsql($read_query);
}
	
	
$table_name2 = $_SESSION['db_prefix']."_alert_message";
$alert_query = "SELECT * FROM $table_name2 WHERE user_name = '".$_SESSION['username']."' AND department = 'maintenance' AND generated >= '".$start."' AND no_view IS NULL AND generated <= '".$end."' ORDER BY message_id DESC ";
$alert_result = mySQL_query($alert_query);
$alert_num = mysql_num_rows($alert_result);


?>
<!--style sheets-->
<link rel="stylesheet" type="text/css" href="../css/scroll_table.css" />
<link rel="stylesheet" type="text/css" href="../css/tooltip.css" />

<!--jscript-->
<script language="JavaScript" src="../jscript/tooltip.js"  type="text/javascript"></script> 
<script language="javascript" src="../jscript/calendar.js"></script>
<script type="text/javascript" language="javascript" src="../jscript/jquery.dataTables.js"></script>


</head>

<body>
<?php
include ("../navigation/header.php");
$page_name = "Maintenance-main";
include ("../navigation/access.php");

if ($permission_num==1) {
	include ("../navigation/maintenance_sidebar.php");
?>
<div class="main_frame" style="height:auto;">
<div class="page_head_frame" > <label class="label_page_head">Maintenance Alerts</label>
</div>
        <br />
<div class="page_middle_frame">
<?php
$page='maintenance_alerts_list.php?set=&delete=';
$reference_name='set';
$reference='';
include('../include/period_select_block.php');
?>
<script type="text/javascript" language="javascript" src="../jscript/jquery.dataTables.js"></script>
<script type="text/javascript" charset="utf-8">
			$(document).ready(function() {
				$('#scroll_table').dataTable( {
					"sScrollY": "400px",
					"bPaginate": false,
					"bScrollCollapse": true,
					"aaSorting": [[ 4, "desc" ]],
					"aoColumns": [
								{"bSortable": false},
								{"iDataSort": 4},
                              	{"bSortable": true},
                             	{"bSortable": true},
								{"bVisible": false},
								{"bSortable": false}
								 ]
								 
				} );
			} );
		</script>
<div  class="page_inside_frame" style="height:460px;">
<table width="683" id="scroll_table" class="data_display">
  <thead>
  <tr>
    <th><a href="maintenance_alerts_list.php?set=all&date=1&date1=<?php echo $start?>&date2=<?php echo $end?>&delete=" onMouseover="ddrivetip('Click to set all to read.', 110)"; onMouseout="hideddrivetip()"><img src="../images/round_red_green.png" width="18" height="12" /></a></th>
    <th width="75">date</th>
    <th width="90">alert</th>
    <th width="381">message</th>
    <th width="23">&nbsp;</th>
    <th width="36"><a href="maintenance_alerts_list.php?delete=all&date=1&date1=<?php echo $start?>&date2=<?php echo $end?>&set=" onMouseover="ddrivetip('Click to delete all alerts.', 120)"; onMouseout="hideddrivetip()"><img src="../images/delete_all.png" width="20" height="16" /></a></th>
    </tr>
   </thead>
<?php 

$i=0;

while ($i<$alert_num) {
    $b0  =  mysql_result($alert_result, $i, "message_id");
	$b1 =  mysql_result($alert_result, $i, "generated");
	$b2 =  mysql_result($alert_result, $i, "alert");
	$d1 =  mysql_result($alert_result, $i, "detail_1");
	$d2 =  mysql_result($alert_result, $i, "detail_2");
	$d3 =  mysql_result($alert_result, $i, "detail_3");
	$b6 =  mysql_result($alert_result, $i, "read_done");
	
	
	$alert='';
	$message='';
	switch ($b2) {
    case 30:
        $alert = 'Quotation to invoice';
		
		$table_name = $_SESSION['db_prefix']."_maintenance_quotations";
		$job_query = "SELECT cust_id, value FROM $table_name WHERE quote_no = '".$d1."'  ";
		$job_result = mySQL_query($job_query);
		$cust_id = mysql_result($job_result, 0, "cust_id");
		$value = mysql_result($job_result, 0, "value");
				
		$table_name = $_SESSION['db_prefix']."_customer";
		$cust_name_query = "SELECT comp_name FROM $table_name WHERE cust_id= '".$cust_id."' ";
		$cust_name_result = mySQL_query($cust_name_query);
		$cust_name = mysql_result($cust_name_result, 0, "comp_name");
				
		$message = 'Quotation <a href=../maintenance/maintenance_quotation.php?quote_no='.$d1.'><b>'.$d1.'</b></a> for <b>'.$d3.'</b> for <a href=../sales/customer_details.php?cust_id='.$cust_id.'><b>'.$cust_name.'</b></a> made by <b>'.$d2.'</b> needs to be invoiced.';
        break;
	 case 31:
        $alert = 'Quotation invoiced';
		
		$table_name = $_SESSION['db_prefix']."_maintenance_jobs";
		$job_query = "SELECT cust_id, value FROM $table_name WHERE maintenance_no = '".$d1."'  ";
		$job_result = mySQL_query($job_query);
		$cust_id = mysql_result($job_result, 0, "cust_id");
		$value = mysql_result($job_result, 0, "value");
				
		$table_name = $_SESSION['db_prefix']."_customer";
		$cust_name_query = "SELECT comp_name FROM $table_name WHERE cust_id= '".$cust_id."' ";
		$cust_name_result = mySQL_query($cust_name_query);
		$cust_name = mysql_result($cust_name_result, 0, "comp_name");
				
		$message = 'Quotation <a href=../maintenance/maintenance_quotation.php?quote_no='.$d1.'><b>'.$d1.'</b></a> for <b>'.$d3.'</b> for  <a href=../sales/customer_details.php?cust_id='.$cust_id.'><b>'.$cust_name.'</b></a> invoiced by <b>'.$d2.'<b>';
        break;
		
	case 32:
        $alert = 'Maintenance card opened';
		
		$table_name = $_SESSION['db_prefix']."_maintenance_jobs";
		$job_query = "SELECT cust_id, value FROM $table_name WHERE maintenance_card_no = '".$d1."'  ";
		$job_result = mySQL_query($job_query);
		$cust_id = mysql_result($job_result, 0, "cust_id");
		$value = mysql_result($job_result, 0, "value");
				
		$table_name = $_SESSION['db_prefix']."_customer";
		$cust_name_query = "SELECT comp_name FROM $table_name WHERE cust_id= '".$cust_id."' ";
		$cust_name_result = mySQL_query($cust_name_query);
		$cust_name = mysql_result($cust_name_result, 0, "comp_name");
				
		$message = 'Maintenance card <a href=../maintenance/maintenance_card.php?maintenance_card_no='.$d1.'><b>'.$d1.'</b></a> for <b>'.$d3.'</b> for  <a href=../sales/customer_details.php?cust_id='.$cust_id.'><b>'.$cust_name.'</b></a> opened by <b>'.$d2.'<b>';
        break;
		
		case 33:
        $alert = 'Maintenance card closed';
		
		$table_name = $_SESSION['db_prefix']."_maintenance_jobs";
		$job_query = "SELECT cust_id, value FROM $table_name WHERE maintenance_card_no = '".$d1."'  ";
		$job_result = mySQL_query($job_query);
		$cust_id = mysql_result($job_result, 0, "cust_id");
		$value = mysql_result($job_result, 0, "value");
				
		$table_name = $_SESSION['db_prefix']."_customer";
		$cust_name_query = "SELECT comp_name FROM $table_name WHERE cust_id= '".$cust_id."' ";
		$cust_name_result = mySQL_query($cust_name_query);
		$cust_name = mysql_result($cust_name_result, 0, "comp_name");
				
		$message = 'Maintenance card <a href=../maintenance/closed_maintenance_card.php?maintenance_card_no='.$d1.'><b>'.$d1.'</b></a> for <b>'.$d3.'</b> for  <a href=../sales/customer_details.php?cust_id='.$cust_id.'><b>'.$cust_name.'</b></a> closed by <b>'.$d2.'<b>';
        break;
		
		case 34:
        $alert = 'Maintenance card completed';
		
		$table_name = $_SESSION['db_prefix']."_maintenance_jobs";
		$job_query = "SELECT cust_id, value FROM $table_name WHERE maintenance_card_no = '".$d1."'  ";
		$job_result = mySQL_query($job_query);
		$cust_id = mysql_result($job_result, 0, "cust_id");
		$value = mysql_result($job_result, 0, "value");
				
		$table_name = $_SESSION['db_prefix']."_customer";
		$cust_name_query = "SELECT comp_name FROM $table_name WHERE cust_id= '".$cust_id."' ";
		$cust_name_result = mySQL_query($cust_name_query);
		$cust_name = mysql_result($cust_name_result, 0, "comp_name");
				
		$message = 'Maintenance card <a href=../maintenance/closed_maintenance_card.php?maintenance_card_no='.$d1.'><b>'.$d1.'</b></a> for <b>'.$d3.'</b> for  <a href=../sales/customer_details.php?cust_id='.$cust_id.'><b>'.$cust_name.'</b></a> completed by <b>'.$d2.'<b>';
        break;
		
		case 43:
        $alert = 'Maintenance request';
		
		$table_name = $_SESSION['db_prefix']."_compiled_jobs";
		$job_query = "SELECT cust_id, project FROM $table_name WHERE job_card_no = '".$d1."'  ";
		$job_result = mySQL_query($job_query);
		$cust_id = mysql_result($job_result, 0, "cust_id");
		$project = mysql_result($job_result, 0, "project");
				
		$table_name = $_SESSION['db_prefix']."_customer";
		$cust_name_query = "SELECT comp_name FROM $table_name WHERE cust_id= '".$cust_id."' ";
		$cust_name_result = mySQL_query($cust_name_query);
		$cust_name = mysql_result($cust_name_result, 0, "comp_name");
				
		$message = 'Job card <a href=../orders/job_card.php?job_card_no='.$d1.'><b>'.$d1.'</b></a> on <b>'.$project.'</b> for  <a href=../sales/customer_details.php?cust_id='.$cust_id.'><b>'.$cust_name.'</b></a> needs after sales attention';
        break;
		
	}
	?>
    
  
  <tr>
    <td width="50" align="left"><?php if ($b6=='yes') { ?> <img src="../images/round_green.png" width="12" height="12" /> <?php } else {?><a href="maintenance_alerts_list.php?set=yes&message_id=<?php echo $b0 ?>&date=1&date1=<?php echo $start?>&date2=<?php echo $end?>&delete=" onMouseover="ddrivetip('Click to set to read.', 100)"; onMouseout="hideddrivetip()"><img src="../images/round_red.png" width="12" height="12" /></a><?php } ?></td>
    <td align="left"><?php echo date("d-m-Y", strtotime($b1 )) ?></td>
    <td align="left"><?php echo $alert ?></td>
    <td align="left"><?php echo $message ?></td>
    <td align="left"><?php echo $b1?></td>
    <td align="left"><a href="maintenance_alerts_list.php?delete=yes&message_id=<?php echo $b0 ?>&date=1&date1=<?php echo $start?>&date2=<?php echo $end?>&set=" onMouseover="ddrivetip('Click to delete alert.', 100)"; onMouseout="hideddrivetip()"><img src="../images/delete.png" width="16" height="16" /></a></td>
    </tr>
  <?php
  $i++;
}
?>

</table>
</div>
</div>
</div>
</body>
<?php } else {
$_SESSION['denied_return'] = "maintenance/maintenance_main.php";	
    include ("../navigation/maintenance_sidebar.php");?>
	<body onLoad="accessdenied(); return false">
<?php }
?>
<?php include ('../navigation/side_bar.php'); ?>
</html>